数据提供商: Keepa
通过ASIN或条形码查询Amazon产品的价格历史记录
$0.008638 / 次调用异步运行,需轮询 Run
在所选的市场中,通过ASIN、UPC、EAN、GTIN或ISBN-13代码来查找某款Amazon产品。返回商品详情、价格和销售排名历史,可选统计、评分、Buy Box、视频、A+ 内容和历史商品变体。代码要求 code-limit=1。原始价格以及 Keepa 时效值都会被保留下来。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Keepa endpoint /product on Glasser.bash
glasser run -p keepa -e '/product' -i '{"asin":"B00M0QVG3W","domain":1,"history":0}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"keepa","endpoint":"/product","input":{"asin":"B00M0QVG3W","domain":1,"history":0},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
购买前评估商品时,可以将可用详情与你的需求比较,确定需要进一步了解的内容。
复制此提示词到你的 Agent,按购买需求审阅商品。
提示词
Use keepa:/product on Glasser.
Check this product against my buying requirements using the details actually returned.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"domain"
],
"properties": {
"asin": {
"type": "string",
"pattern": "^[A-Z0-9]{10}$"
},
"code": {
"type": "string",
"pattern": "^(?:\\d{12}|\\d{13}|\\d{14})$"
},
"days": {
"type": "integer",
"maximum": 9007199254740991,
"minimum": 1
},
"aplus": {
"enum": [
0,
1
],
"type": "number"
},
"stats": {
"anyOf": [
{
"type": "integer",
"maximum": 9007199254740991,
"minimum": 1
},
{
"type": "string",
"pattern": "^(?:\\d{10,13},\\d{10,13}|\\d{4}-\\d{2}-\\d{2},\\d{4}-\\d{2}-\\d{2})$"
}
]
},
"buybox": {
"enum": [
0,
1
],
"type": "number"
},
"domain": {
"enum": [
1,
2,
3,
4,
5,
6,
8,
9,
10,
11,
12
],
"type": "number"
},
"rating": {
"enum": [
0,
1
],
"type": "number"
},
"update": {
"type": "integer",
"maximum": 9007199254740991,
"minimum": -1
},
"videos": {
"enum": [
0,
1
],
"type": "number"
},
"history": {
"enum": [
0,
1
],
"type": "number"
},
"code-limit": {
"enum": [
1
],
"type": "number"
},
"historical-variations": {
"enum": [
0,
1
],
"type": "number"
}
},
"additionalProperties": false
}json
{
"asin": "B00M0QVG3W",
"domain": 1,
"history": 0
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据 | 仅在返回数据时收费。 | $0.008638 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |